.footercontact-wrapper {
    background-color: var(--color-white);
    padding: var(--defaultunit);
    display: grid;
    grid-template-columns: 1fr calc(var(--footerimage-size) + 0.5 * var(--footericon-size));
    gap: 25px;
}

.footercontact-leftcontent {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 25px;
}

.footercontact-leftcontent .h-lineout::after {
    width: calc(1 * var(--decoline-width));
    margin-left: calc(var(--defaultunit) * (-1));
}

.footercontact-leftcontent a {
    position: relative;
    color: inherit;
    text-decoration: none;
}

.footercontact-leftcontent a::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 0;
    height: 1px;
    background-color: var(--color-yellow);
    transition-duration: 0.2s;
}

.footercontact-leftcontent a:hover::before {
    width: 100%;
    transition-duration: 0.2s;
}

.footercontact-image img {
    border-radius: 50%;
    display: block;
    width: var(--footerimage-size);
    height: var(--footerimage-size);
}


.footercontact-icons a {
    display: block;
    width: var(--footericon-size);
    height: var(--footericon-size);
    border-radius: 50%;
    background-color: var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.1s ease;
}

.footercontact-icons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-end;
    margin-top: calc((-1) * var(--footericon-size));
}

.footercontact-icons a img {
    width: auto;
    height: calc((0.6) * var(--footericon-size));
    transition: filter 0.1s ease;
}

.footercontact-icons a:hover {
    background-color: var(--color-black);
}

.footercontact-icons a:hover img {
    filter: brightness(0) saturate(100%) invert(80%) sepia(54%) saturate(761%) hue-rotate(357deg) brightness(102%) contrast(105%);
}

@media (max-width: 600px) {

    .footercontact-wrapper {
        grid-template-columns: 1fr;
    }

    .footercontact-rightcontent {
        width: calc(var(--footerimage-size) + 0.5 * var(--footericon-size));
    }
}